
name: Dev Deploy
run-name: ${{ gitea.actor }} is testing out Gitea Actions 🚀
on:
  push:
    branches:
      - main
      - v0.5.0

jobs:
  Explore-Gitea-Actions:
    runs-on: self_hosted
    steps:
      - run: echo "🎉 The job was automatically triggered by a ${{ gitea.event_name }} event."
      - run: echo "🐧 This job is now running on a ${{ runner.os }} server hosted by Gitea!"
      - run: echo "🔎 The name of your branch is ${{ gitea.ref }} and your repository is ${{ gitea.repository }}."
      - name: Check out repository code
        uses: https://git.fairclip.cn/mirrors/actions-checkout@v4
      - run: echo "💡 The ${{ gitea.repository }} repository has been cloned to the runner."
      - run: echo "🖥️ The workflow is now ready to test your code on the runner."
      - name: List files in the repository
        run: |
          ls ${{ gitea.workspace }}
      - name: Build Docker Image
        run: |
          echo "Building the Docker image..."
          branch=${{ gitea.ref_name }}
          tag_name=$(git rev-parse HEAD)
          docker build -t docker.fairclip.cn/memowake/memowake-front:${branch}-${tag_name} .
          echo "Docker image built successfully!"
      - name: Deploy
        run: |
          echo "Deploying the project..."
          branch=${{ gitea.ref_name }}
          tag_name=$(git rev-parse HEAD)
          bash ./scripts/dev_deploy.sh ${branch} docker.fairclip.cn/memowake/memowake-front:${branch}-${tag_name}
          echo "Deploy successful!"